(ns ldview.models.competition
  (:use korma.core
        [ldview.models.db]
        [ldview.util]))

(defn latest []
  (first (select competitions
          (where {:number *competition*})
          (limit 1))))

(defn exists? [number]
  (not (empty? (select competitions
                       (fields :id)
                       (where {:number number})))))

(defn create! [number motto]
  (insert competitions (values {:number number :motto motto})))
